#ifndef LIST_H
#define LIST_H
#include"Node.h"  /*We can inlcude Node.h file here because we use it (i.e. Node* headNode, Node* currentNode.)*/
class List
{
 public:
        List();
        void add(int addobject);
        Node* getHead();
        int get();
        bool next();
        int sizelist();
        void traverse(List list);
        void reverse(Node* headNode);
        void addLists(List list, List list1);
        void copy(Node * headNode);
        void replace(int node);
        int find(int node);
        void remove();
        int duplicate(Node * headNode, int count);
 private:
        int size;
        Node* headNode;
        Node* currentNode;
        Node* lastCurrentNode;

};

#endif
